# Application Groups

Application Groups

 - [POST /applicationGroups/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/createapplicationgroup.md): This method will auto-generate an ID and create a new application group. If an ID is specified for the application group, an error will be thrown.
 - [POST /applicationGroups/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /applicationGroups/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/listgroupsbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /applicationGroups/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/searchforapplicationgroups.md): Searches for application groups using predefined parameters
 - [DELETE /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/deleteapplicationgroup.md): This method will delete a application group with the specified ID.
 - [GET /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/getapplicationgroup.md): This method will look up a application group by the specified ID and return it back.
 - [PATCH /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/patchapplicationgroup.md): This method will patch an existing application group with the specified ID, using the HTTP PATCH specification.
 - [PUT /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/updateapplicationgroup.md): This method will update an existing application group with the specified ID.
